/*
 * @Author       : ChenJie
 * @Date         : 2022-01-23 13:45:09
 * @Version      : V3.0
 * @LastEditors  : ChenJie
 * @LastEditTime : 2022-05-17 18:46:11
 * @Description  : file content
 * @FilePath     : \S32K146_4G\src\AppGlobalVar.c
 */
/*
 * AppGlobalVar.c
 *Ӧòȫֱ
 *  Created on: 2022119
 *      Author: QiXiang_CHENJIE
 */

#include "AppGlobalVar.h"
//

//*ȫֱ*//
uint8 TcpbattSN[17] = {0x31}; //ϴSN
uint8 VIN[17] = {0};
volatile uint32 TimerCounter = 0; // msλ
uint32 BattTempR[4] = {0};		  // ADCѯ¶Rֵ
uint16 ErrorArray[10] = {0};
uint8 Fota_update_flag = 0;
/*GPS*/
QueueHandle_t GpsDataQueueHandle;
sint16 xyzData[3] = {0};
/*Hal_Can*/
uint8 CanIf_u8TxConfirmCnt = 0U;
boolean CanIf_bTxFlag = false;
uint8 CanIf_u8RxIndicationCnt = 0U;
boolean CanIf_bRxFlag = false;
QueueHandle_t CanRecvQueueHandle;

/*TCPر*/
char ImeiNum[15] = {0};
char IccidNum[20] = {0};
uint8 CSQValue = 0;
sint8 SocketId = -1;
sint8 RegChkRet = 0;
char WebSiteIp[20] = {0};
uint8 TcpWorkState = 0;
  const char WebSiteName[] = "\"iotp.fast-fun.cn\"";
  const uint16 WebSitePort = 8712;
//const char WebSiteName[] = "\"oss.li-ai.com.cn\"";
//const uint16 WebSitePort = 8712;

#define EEP_START_SEC_VAR_INIT_8_NO_CACHEABLE
#include "Eep_MemMap.h"
AppConfigBody AppConfigInfo = {false, true, {defaultSn}, {0}};
#define EEP_STOP_SEC_VAR_INIT_8_NO_CACHEABLE
#include "Eep_MemMap.h"

/*±ΪApp_CANر*/
#ifdef APP_CAN_ENABLE
// VCU
uint8 vehicleStatus = 0;
uint8 bmsHVOn = 0;
uint8 currentGearPosition = 0;
uint8 parkingBreakStatus = 0;
uint8 breakingStatus = 0;
uint32 ODO = 0;
uint8 dcdcWorkStatus = 0;
uint8 numOfChrgableSubsys = 0;
uint8 chrgableSubsysCode = 0;

uint16 vcuDCVol = 0;
// EBC
uint8 ebcStatus = 0;
uint8 ebcAskHVOn = 0;
uint8 ebcAskHVOff = 0;
uint8 retainLockSignal = 0;
uint8 dischargeLockSignal = 0;
uint8 chargeLockSignal = 0;
uint8 chargeFlag = 0;
// Bcu
UINT32 BcuInTable[28] = {
	0x1801D0F3,
	0x1801D8F3,
	0x1880D0F3,
	0x1881D0F3,
	0x1882D0F3,
	0x1883D0F3,
	0x1884D0F3,
	0x1885D0F3,
	0x1886D0F3,
	0x1887D0F3,
	0x1888D0F3,
	0x1889D0F3,
	0x188AD0F3,
	0x18C1D0F3,
	0x18C2D0F3,
	0x18E1D0F3,
	0x18E2D0F3,
	0x18E3D0F3,
	0x18E4D0F3,
	0x18E5D0F3,
	0x18E6D0F3,
	0x18F1D0F3,
	0x18F2D0F3,
	0x18F3D0F3,
	0x18F4D0F3,
	0x18F5D0F3,
	0x18FF45F4,
	0x18FFC13A,
};
BOOL BcuRxShortError[28];
BOOL BcuRxLongError[28];
UINT8 BcuRxErrorCounter[28];
UINT8 BcuRxFlag[28];
/************************************************************
 *BCU->4G
 ************************************************************/
UINT8 BMS_ReqVIN = 0x00;						//ǷVIN,0:Ԥ;1:VIN;2:VIN;3:Ч;,Re-1,Off-0,
UINT8 BMS_ReqHVOff = 0x00;						//Ƿ¸ѹ,0:Ԥ;1:¸ѹ;2:¸ѹ;3:Ч;,Re-1,Off-0,
UINT8 BMS_ProtocolEditionH = 0x00;				//ͨѶЭ汾λ( : 汾Ϊ3 .1, ˴3),	, Re - 1, Off - 0,
UINT8 BMS_ProtocolEditionL = 0x00;				//ͨѶЭ汾λ( : 汾Ϊ3 .1, ˴1),	, Re - 1, Off - 0,
UINT8 BMS_CharDevNum = 0x00;					//ɳװϵͳ(BMSпɳװϵͳеĵڼ, Ҫ֪),1,Re-1,Off-0,
UINT8 BMS_FtPosRly = 0x00;						//̵ճ,0:; 1:,Re-1,Off-0,
UINT8 BMS_FtNegRly = 0x00;						//̵ճ,0:; 1:,Re-1,Off-0,
UINT8 BMS_FtPosCharRly1 = 0x00;					//1̵ճ,0:; 1:,Re-1,Off-0,
UINT8 BMS_FtNegCharRly1 = 0x00;					//为1̵ճ,0:; 1:,Re-1,Off-0,
UINT8 BMS_FtPosCharRly2 = 0x00;					//2̵ճ,0:; 1:,Re-1,Off-0,
UINT8 BMS_FtNegCharRly2 = 0x00;					//为2̵ճ,0:; 1:,Re-1,Off-0,
UINT8 BMS_FtHeatRly1 = 0x00;					//1/̵ճ,0:; 1:,Re-1,Off-0,
UINT8 BMS_FtHeatRly2 = 0x00;					//2/̵ճ,0:; 1:,Re-1,Off-0,
UINT8 BMS_StPosRly = 0x00;						//̵״̬(̵״̬BMS),0:Ԥ;1:;2:պ;3:Ч;,Re-1,Off-0,
UINT8 BMS_StNegRly = 0x00;						//̵״̬(̵״̬BMS),0:Ԥ;1:;2:պ;3:Ч;,Re-1,Off-0,
UINT8 BMS_StPreCharRly = 0x00;					//Ԥ̵״̬,0:Ԥ;1:;2:պ;3:Ч;,Re-1,Off-0,
UINT8 BMS_StPosCharRly1 = 0x00;					//̵ֱ1״̬,0:Ԥ;1:;2:պ;3:Ч;,Re-1,Off-0,
UINT8 BMS_StNegCharRly1 = 0x00;					//ֱ为̵1״̬,0:Ԥ;1:;2:պ;3:Ч;,Re-1,Off-0,
UINT8 BMS_StPosCharRly2 = 0x00;					//̵ֱ2״̬,0:Ԥ;1:;2:պ;3:Ч;,Re-1,Off-0,
UINT8 BMS_StNegCharRly2 = 0x00;					//ֱ为̵2״̬,0:Ԥ;1:;2:պ;3:Ч;,Re-1,Off-0,
UINT8 BMS_FtAuxRelayWeld = 0x00;				//̵ճ(),0:; 1:,Re-1,Off-0,
UINT8 BMS_BraOpenCirc = 0x00;					//֧··,0:; 1:,Re-1,Off-0,
UINT8 BMS_FtBackCharCurrOutLim = 0x00;			//سޱ,0:1 : 1 ΢ 2 : 2 ع 3 : 3 ع, Re - 1, Off - 0,
UINT8 BMS_FtPosRlyOpen = 0x00;					//̵޷պϱ,0:; 1:,Re-1,Off-0,
UINT8 BMS_FtNegRlyOpen = 0x00;					//̵޷պϱ,0:; 1:,Re-1,Off-0,
UINT8 BMS_FtPosCharRly1Open = 0x00;				//ֱ1̵޷պϱ,0:; 1:,Re-1,Off-0,
UINT8 BMS_FtPosCharRly2Open = 0x00;				//ֱ2̵޷պϱ,0:; 1:,Re-1,Off-0,
UINT8 BMS_FtNegCharRly1Open = 0x00;				//ֱ縺1̵޷պϱ,0:; 1:,Re-1,Off-0,
UINT8 BMS_FtNegCharRly2Open = 0x00;				//ֱ縺2̵޷պϱ,0:; 1:,Re-1,Off-0,
UINT8 BMS_FtTMSContClose = 0x00;				//ĤTMSӴ޷Ͽ,0:; 1:,Re-1,Off-0,
UINT8 BMS_FtTMSContOpen = 0x00;					//ĤTMSӴ޷պϱ,0:; 1:,Re-1,Off-0,
UINT8 BMS_FtTMS = 0x00;							//ȹϵͳ,0:; 1:,Re-1,Off-0,
UINT8 BMS_Ft24VSpy = 0x00;						// BMS 24V쳣,0:; 1:,Re-1,Off-0,
UINT8 BMS_FtPACKSelfProt = 0x00;				//ذԱ,0:; 1:,Re-1,Off-0,
UINT8 BMS_FtCharSockTempOver = 0x00;			//±,0:1 : 1 ΢ 2 : 2 ع 3 : 3 ع, Re - 1, Off - 0,
UINT8 BMS_FtTempOutCtrl = 0x00;					//ʧر,0:; 1:,Re-1,Off-0,
UINT8 BMS_StPosHeatRly = 0x00;					//̵״̬,0:;1:;2:պ;3:Ч,Re-1,Off-0,
UINT8 BMS_StNegHeatRly = 0x00;					//ȸ̵״̬,0:;1:;2:պ;3:Ч,Re-1,Off-0,
UINT8 BMS_CharSysNum = 0x00;					//ɳ索ϵͳ(),,Re-1,Off-0,
UINT8 BMS_FtCode = 0x00;						//ϵͳ,ϵͳб,Re-1,Off-0,
UINT8 BMS_ST1CheckSum = 0x00;					// B2V_ST1CheckSum,Byte0=Byte1 XOR Byte2 XOR Byte3 XOR Byte4 XOR Byte5 XOR Byte6 XOR Byte7,Re-1,Off-0,
UINT8 BMS_ST1Counter = 0x00;					// B2V_ST1ź,0~14ѭ,15:źЧ,Re-1,Off-0,
UINT8 BMS_Mode = 0x00;							// BMSǰ״̬,0:Ԥ;1:ѹϵ;2:ѹµ;3:Ч;,Re-1,Off-0,
UINT8 BMS_AuxRlySt = 0x00;						//̵״̬,0:;1:պ;,Re-1,Off-0,
UINT8 BMS_BattBalaSt = 0x00;					// BMSǰ״̬,0:δ;1:;,Re-1,Off-0,
UINT8 BMS_CharGunSt = 0x00;						//ֱǹ״̬,0:δ1 : , Re - 1, Off - 0,
UINT8 BMS_CharMode = 0x00;						// BMSǰģʽ,0:Ԥ1 : ֱ 2 :  3 : , Re - 1, Off - 0,
UINT8 BMS_CharSt = 0x00;						//״̬,0:Գ1 : ڳ 2 :  3 : , Re - 1, Off - 0,
UINT8 BMS_FtLvl = 0x00;							//ǰ߹ϵȼ,0:1 : 1 ΢ 2 : 2 ع 3 : 3 ع, Re - 1, Off - 0,
UINT8 BMS_FtCellTempDiff = 0x00;				//о²쳣,0:޹; 1:1 ΢; 2:2 ع3 : 3 ع, Re - 1, Off - 0,
UINT8 BMS_FtCellTempHigh = 0x00;				//о¶ȹ߱,0:޹; 1:1 ΢; 2:2 ع3 : 3 ع, Re - 1, Off - 0,
UINT8 BMS_FtPACKOverVolt = 0x00;				// PACKѹ,0:޹; 1:1 ΢; 2:2 ع3 : 3 ع, Re - 1, Off - 0,
UINT8 BMS_FtPACKUndeVolt = 0x00;				// PACKǷѹ,0:޹; 1:1 ΢; 2:2 ع3 : 3 ع, Re - 1, Off - 0,
UINT8 BMS_FtSOCLow = 0x00;						// SOCͱ,0:޹; 1:1 ΢; 2:2 ع3 : 3 ع, Re - 1, Off - 0,
UINT8 BMS_FtCellOverVolt = 0x00;				//ѹ߱,0:޹; 1:1 ΢; 2:2 ع3 : 3 ع, Re - 1, Off - 0,
UINT8 BMS_FtCellUndeVolt = 0x00;				//ѹǷѹ,0:޹; 1:1 ΢; 2:2 ع3 : 3 ع, Re - 1, Off - 0,
UINT8 BMS_FtIns = 0x00;							//Ե,0:޹; 1:1 ΢; 2:2 ع3 : 3 ع, Re - 1, Off - 0,
UINT8 BMS_FtCellOverVoltDiff = 0x00;			//ѹ,0:޹; 1:1 ΢; 2:2 ع3 : 3 ع, Re - 1, Off - 0,
UINT8 BMS_FtCharCurrOver = 0x00;				//󱨾,0:޹; 1:1 ΢; 2:2 ع3 : 3 ع, Re - 1, Off - 0,
UINT8 BMS_FtDisCharCurrOver = 0x00;				//ŵ󱨾,0:޹; 1:1 ΢; 2:2 ع3 : 3 ع, Re - 1, Off - 0,
UINT8 BMS_FtCellTempLow = 0x00;					//о¶ȹͱ,0:޹; 1:1 ΢; 2:2 ع3 : 3 ع, Re - 1, Off - 0,
UINT8 BMS_FtBranVoltDifOver = 0x00;				//֧·ѹ󱨾(ڲ֧·ϵͳ),0:޹; 1:1 ΢; 2:2 ع3 : 3 ع, Re - 1, Off - 0,
UINT8 BMS_FtBMSHardWare = 0x00;					// BMSӲ,0:޹; 1:1 ΢; 2:2 ع3 : 3 ع, Re - 1, Off - 0,
UINT8 BMS_FtSOCHigh = 0x00;						// SOC߱,0:; 1:,Re-1,Off-0,
UINT8 BMS_FtSOCJump = 0x00;						// SOC䱨,0:; 1:,Re-1,Off-0,
UINT8 BMS_FtInCom = 0x00;						// BMSڲͨŹ,0:; 1:,Re-1,Off-0,
UINT8 BMS_FtSysMism = 0x00;						// BMS/ɳ索ϵͳƥ䱨,0:; 1:,Re-1,Off-0,
UINT8 BMS_FtHvIntLock = 0x00;					//ѹ,0:; 1:,Re-1,Off-0,
UINT8 BMS_FtSmoke = 0x00;						//̽,0:; 1:,Re-1,Off-0,
UINT8 BMS_FtFire = 0x00;						//ذֱ,0:; 1:,Re-1,Off-0,
UINT8 BMS_FtNum = 0x00;							// BMSǰĹĿ(GB32960й涨ĹĿ),,Re-1,Off-0,
UINT8 BMS_PackSOC = 0x00;						//ذSOC,,Re-0.4,Off-0,
UINT8 BMS_PackSOH = 0x00;						//ذSOH,,Re-0.4,Off-0,
UINT8 BMS_MaxCellTemp = 0x00;					//¶,,Re-1,Off--50,
UINT8 BMS_MinCellTemp = 0x00;					//¶,,Re-1,Off--50,
UINT8 BMS_AverCellTemp = 0x00;					//ƽ¶,,Re-1,Off--50,
UINT8 BMS_MaxCellTempCSC = 0x00;				//¶ȵоϵͳ(CSC),Χ(1~255),Re-1,Off-0,
UINT8 BMS_MaxCellTempNum = 0x00;				//¶ȵоϵͳ(CSC)¶̽,Χ(1~255),Re-1,Off-0,
UINT8 BMS_MinCellTempCSC = 0x00;				//¶ȵоϵͳ(CSC),Χ(1~255),Re-1,Off-0,
UINT8 BMS_MinCellTempNum = 0x00;				//¶ȵоϵͳ(CSC)¶̽,Χ(1~255),Re-1,Off-0,
UINT8 BMS_MaxCellVoltCSC = 0x00;				//ߵѹоϵͳ(CSC),Χ(1~255),Re-1,Off-0,
UINT8 BMS_MaxCellVoltNum = 0x00;				//ߵѹоϵͳ(CSC)ڵ,Χ(1~255),Re-1,Off-0,
UINT8 BMS_MinCellVoltCSC = 0x00;				//͵ѹоϵͳ(CSC),Χ(1~255),Re-1,Off-0,
UINT8 BMS_MinCellVoltNum = 0x00;				//͵ѹоϵͳ(CSC)ڵ,Χ(1~255),Re-1,Off-0,
UINT8 BMS_InsDeteSt = 0x00;						// BMSԵ״̬,0:ֹͣ;1:;,Re-1,Off-0,
UINT8 BMS_FtCharInsLow = 0x00;					//Եֵ,0:; 1:,Re-1,Off-0,
UINT8 BMS_FtCurrSenr = 0x00;					//,0:; 1:,Re-1,Off-0,
UINT8 BMS_FtHeatingFilm = 0x00;					//ĤȻ·,0:; 1:,Re-1,Off-0,
UINT8 BMS_FtMainLoopPreChar = 0x00;				//·ԤԤ,0:; 1:,Re-1,Off-0,
UINT8 BMS_FtAuxLoopPreChar = 0x00;				//·ԤԤ,0:; 1:,Re-1,Off-0,
UINT8 BMS_FtACANLost = 0x00;					// ACAN/CANͨѶ,0:; 1:,Re-1,Off-0,
UINT8 BMS_FtDCDC = 0x00;						// BMS-DC-DC,0:; 1:,Re-1,Off-0,
UINT8 BMS_FtSOCDif = 0x00;						// SOC,0:; 1:,Re-1,Off-0,
UINT8 BMS_FtCellOverDisChar = 0x00;				//оŹ,0:; 1:,Re-1,Off-0,
UINT8 BMS_FtCharOver = 0x00;					//شװù䱨,0:;1:1 ΢;2:2 ع3 : 10 ع, Re - 1, Off - 0,
UINT8 BMS_FtContDisCharCurrOverLoad = 0x00;		//س,0:;1:1 ΢;2:2 ع3 : 10 ع, Re - 1, Off - 0,
UINT8 BMS_FtContCharCurrOverLoad = 0x00;		//ŵ,0:;1:1 ΢;2:2 ع3 : 10 ع, Re - 1, Off - 0,
UINT8 BMS_Gun1DCNegTemp = 0x00;					//1¸ֵ,,Re-1,Off--40,
UINT8 BMS_Gun1DCPosTemp = 0x00;					//1¸ֵ,,Re-1,Off--40,
UINT8 BMS_Gun2DCNegTemp = 0x00;					//2¸ֵ,,Re-1,Off--40,
UINT8 BMS_Gun2DCPosTemp = 0x00;					//2¸ֵ,,Re-1,Off--40,
UINT8 BMS_CurrHeatSt = 0x00;					//ǰ״̬,0:δ;1:;2:Ԥ;3:Ч;,Re-1,Off-0,
UINT8 BMS_CurrCoolSt = 0x00;					//ǰȴ״̬,0:δȴ;1:ȴ;2:Ԥ;3:Ч;,Re-1,Off-0,
UINT8 BMS_FtCharCnct = 0x00;					//ǹź쳣,0:; 1:,Re-1,Off-0,
UINT8 BMS_FtOverDisCharCurrDuringChar = 0x00;	//ʱŵ,0:; 1:,Re-1,Off-0,
UINT8 BMS_FtCharNTC = 0x00;						//NTC,0:; 1:,Re-1,Off-0,
UINT8 BMS_FtELock = 0x00;						//,0:; 1:,Re-1,Off-0,
UINT8 BMS_CellVoltFramNum = 0x00;				//ѹ֡,Чֵ1~255,Re-1,Off-0,
UINT8 BMS_CellTempFramNum = 0x00;				//¶֡,Чֵ1~255,Re-1,Off-0,
UINT8 BMS_CSC_Code = 0x00;						//ϵͳCSC,Чֵ1~255,Re-1,Off-0,
UINT8 BMS_CellTemp[BMS_TEMP_MAX_NUM] = {0x00};	//ǰCSCµĵN̽¶,255 "Invalid" 0xFF ЧЧֵ 0 ~254, λ , Χ(-50 ~204), , Re - 1, Off-- 50,
UINT8 BMS_Checksum = 0x00;						//رϢ1CheckSum,Byte0=Byte1 XOR Byte2 XOR Byte3 XOR Byte4 XOR Byte5 XOR Byte6 XOR Byte7,Re-1,Off-0,
UINT8 BMS_PackComp = 0x00;						//س,1:"CATL" 2:"Li Shen" 3:"MGL" 4:"SAMSUN" 5:"LG",Re-1,Off-0,
UINT8 BMS_BattCodeLeng = 0x00;					//ر볤,0:Do not transmit this Code,Re-1,Off-0,
UINT8 BMS_SN[27] = {0x00};						//ر(SN)ַ1(ASCII),,Re-1,Off-0,
UINT8 BMS_BattType = 0x00;						//,1:Ǧ; 2:; 3:﮵; 4:﮵; 5:﮵; 6:Ԫϵ; 7:ۺӵ; 8:﮵; 9:; 10~13:; 14:ȼϵ;15:,Re-1,Off-0,
UINT8 BMS_CoolType = 0x00;						//ȴʽ,0:ȴʽ1 : Ȼȴ 2 : ȴ 3 : ˮȴ, Re - 1, Off - 0,
UINT8 BMS_CSC_Total = 0x00;						//ϵͳCSCܵĿ,,Re-1,Off-0,
UINT8 BMS_CellVoltLevel = 0x00;					//ƽ̨ѹ(ʵʱ仯ֵ),Чֵ0~5V;  255 "Signal Invalid" 0xFF Ч,Re-0.1,Off-0,V
UINT8 BMS_CellMinVolt = 0x00;					//͵ѹ(ʵʱ仯ֵ),Чֵ0~5V;  255 "Signal Invalid" 0xFF Ч,Re-0.1,Off-0,V
UINT8 BMS_CellMaxVolt = 0x00;					//ߵѹ(ʵʱ仯ֵ),Чֵ0~5V;  255 "Signal Invalid" 0xFF Ч,Re-0.1,Off-0,V
UINT8 BMS_HVBranNum = 0x00;						//ϵͳѹ֧·,,Re-1,Off-0,
UINT8 BMS_SingleHVBranchCellNum = 0x00;			//ϵͳ֧·о,,Re-1,Off-0,
UINT8 BMS_ReqMode = 0x00;						// BMS趨ģʽ,0:ػģʽ1 : ģʽ 2 : ģʽ 3 : ѭģʽ, Re - 1, Off - 0,
UINT8 BMS_HVCmd = 0x00;							//ѹ,0:ϸѹ1 : ¸ѹ, Re - 1, Off - 0,
UINT8 BMS_ChgSts = 0x00;						//״̬,0:ǳ1 : , Re - 1, Off - 0,
UINT8 BMS_HVRelaySts = 0x00;					// BMSѹ̵״̬,0:Ͽ״̬; 1:պ״̬; 2~3:Ч,Re-1,Off-0,
UINT8 BMS_SetTemp = 0x00;						//趨¶,,Re-1,Off--40,
UINT8 BMS_Life = 0x00;							// BMS֡,,Re-1,Off-0,
UINT8 BMS_CRC = 0x00;							// CRCУֵ,,Re-1,Off-0,
UINT8 TMS_WorkStatus = 0x00;					// TMS״̬,0:ػģʽ1 : ģʽ 2 : ģʽ 3 : ѭģʽ, Re - 1, Off - 0,
UINT8 TMS_HVRelayST = 0x00;						// TMSѹ̵״̬,0:Ͽ״̬; 1:պ״̬; 2~3:Ч,Re-1,Off-0,
UINT8 TMS_OutletTemp = 0x00;					//ˮ¶(鵽),255:Ч,Re-1,Off--40,
UINT8 TMS_InletTemp = 0x00;						//ˮ¶(ص),255:Ч,Re-1,Off--40,
UINT8 TMS_ErrCode = 0x00;						// TMS,0:޹;  1 ѭ,Re-1,Off-0,
UINT8 TMS_FaultLevel = 0x00;					// TMSȼ,0:Ч1 : 1 2 : 2 3 : 3, Re - 1, Off - 0,
UINT16 BMS_SoftwareVersion = 0x00;				//汾:RyyyBzzz(RΪ汾BΪ԰汾ʽ汾B)  ,yyy:0~254,1,255:Ч,ʾ;zzz:0~254,1,255:Ч,ʾ;
UINT16 BMS_HardwareVersion = 0x00;				//Ӳ汾:VyyyBzzz(VΪӲ汾BΪ԰汾ʽ汾B)  ,,Re-1,Off-0,
UINT16 BMS_PackCurr = 0x00;						//ذܵ,Ϊֵ,ŵΪֵ,,Re-0.1,Off--1000,A
UINT16 BMS_MaxCharCurr = 0x00;					//ذس,,Re-0.1,Off--1000,A
UINT16 BMS_MaxDisCharCurr = 0x00;				//ذŵ,,Re-0.1,Off--1000,A
UINT16 BMS_PosIns = 0x00;						//ĸԳԵ,,Re-1,Off-0,K
UINT16 BMS_NegIns = 0x00;						//ĸ߸ԳԵ,,Re-1,Off-0,K
UINT16 BMS_BattVolt = 0x00;						//ذڲѹ,,Re-0.1,Off-0,V
UINT16 BMS_LinkVolt = 0x00;						//ذѹ,,Re-0.1,Off-0,V
UINT16 BMS_MaxCellVolt = 0x00;					//ߵѹֵ,,Re-0.001,Off-0,V
UINT16 BMS_AverCellVolt = 0x00;					//оѹƽֵ,,Re-0.001,Off-0,V
UINT16 BMS_MinCellVolt = 0x00;					//о͵ѹֵ,,Re-0.001,Off-0,V
UINT16 BMS_ContChrgCurr = 0x00;					// BMSĳس,,Re-0.1,Off-0,A
UINT16 BMS_ContDisCharCurr = 0x00;				// BMSĳŵ,,Re-0.1,Off--1000,A
UINT16 BMS_CharReqVolt = 0x00;					//ѹ(),,Re-0.1,Off-0,V
UINT16 BMS_CharReqCurr = 0x00;					//(),,Re-0.1,Off--1000,A
UINT16 BMS_SysInsRes = 0x00;					//ϵͳԵ,,Re-1,Off-0,K
UINT16 BMS_MaxDisCharPwr = 0x00;				//ŵ繦,,Re-0.1,Off-0,kw
UINT16 BMS_MaxCharPwr = 0x00;					//繦,,Re-0.1,Off-0,kw
UINT16 BMS_ContDisCharPwr = 0x00;				// BMSĳŵ繦,,Re-0.1,Off-0,kw
UINT16 BMS_ContCharPwr = 0x00;					// BMSĳ繦,,Re-0.1,Off-0,kw
UINT16 BMS_InstEngyCons = 0x00;					//˲ʱٹܺ,,Re-0.1,Off-0,kwh
UINT16 BMS_TotalEngyCons = 0x00;				///ƽٹܺ,,Re-0.1,Off-0,kwh
UINT16 BMS_SOE = 0x00;							//ʣ,,Re-0.01,Off-0,kwh
UINT16 BMS_RmanCharTime = 0x00;					//ʣʱ,,Re-1,Off-0,min
UINT16 BMS_CharNum = 0x00;						//,,Re-1,Off-0,
UINT16 BMS_CellVolt[BMS_CELL_MAX_NUM] = {0x00}; //оĵѹ,65535 "Invalid" 0xFFFF ЧЧֵ 0 ~65534, Χ(0 ~65.534) V, Re - 0.001, Off - 0, V
UINT16 BMS_BattRateCap = 0x00;					//ذ,Чֵ 0~65534,65535 "Signal Invalid" Ч,Re-1,Off-0,Ah
UINT16 BMS_BattRateVolt = 0x00;					//ذѹ,Чֵ 0~6553.4,65535 "Signal Invalid" Ч,Re-0.1,Off-0,V
UINT16 BMS_BattRateEngy = 0x00;					//ذ,Чֵ 0~6553.4,65535 "Signal Invalid" Ч,Re-0.1,Off-0,kWh
UINT16 BMS_CellTotal = 0x00;					// PACKеоĿ,,Re-1,Off-0,
UINT16 BMS_TempTotal = 0x00;					// PACKео¶ȵ(̽)Ŀ,,Re-1,Off-0,
UINT16 BMS_SingleCharEngy = 0x00;				//γkWh ,,Re-0.1,Off-0,KWh
UINT16 BMS_SingleCharCapy = 0x00;				//γAh ,,Re-0.1,Off-0,Ah
UINT16 BMS_HVVolt = 0x00;						// BMSǰѹ,,Re-1,Off-0,
UINT16 TMS_ReqPow = 0x00;						// TMS,65535:Ч,Re-0.1,Off-0,Kw
UINT32 BMS_TotalCharEngy = 0x00;				//ۼƳkWh ,,Re-0.1,Off-0,KWh
UINT32 BMS_TotalDisCharEngy = 0x00;				//ۼƷųkWh ,,Re-0.1,Off-0,KWh
UINT32 BMS_TotalBackCharEngy = 0x00;			//ۼƶܻkWh ,,Re-0.1,Off-0,KWh
UINT32 BMS_TotalStaCharEngy = 0x00;				//ۼƻվkWh ,,Re-0.1,Off-0,KWh
UINT32 BMS_TotalGunCharEngy = 0x00;				//ۼƲǹkWh ,,Re-0.1,Off-0,KWh
UINT32 BMS_TotalGunCharCapy = 0x00;				//ۼƲǹAh ,,Re-0.1,Off-0,Ah
UINT32 BMS_TotalCharCapy = 0x00;				//ۼƳAh ,,Re-0.1,Off-0,Ah
UINT32 BMS_TotalDisCharCapy = 0x00;				//ۼƷųAh ,,Re-0.1,Off-0,Ah
UINT32 BMS_TotalBackCharCapy = 0x00;			//ۼƶܻAh ,,Re-0.1,Off-0,Ah
UINT32 BMS_TotalStaCharCapy = 0x00;				//ۼƻվAh ,,Re-0.1,Off-0,Ah
#endif
